package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabTableSettingMapper;
import com.gic.enterprise.entity.TabTableSetting;
import com.gic.enterprise.service.TableSettingService;
import com.github.pagehelper.Page;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class TableSettingServiceImpl implements TableSettingService {
    private static final Logger log = LogManager.getLogger(TableSettingServiceImpl.class);
    @Autowired
    private TabTableSettingMapper tabTableSettingMapper;

    @Override
    public void saveTableSetting(TabTableSetting tabTableSetting) {
        tabTableSetting.setUpdateTime(new Date());
        if(tabTableSetting.getTableId() == null){
            tabTableSetting.setCreateTime(new Date());
            tabTableSettingMapper.insertSelective(tabTableSetting);
        } else {
            tabTableSettingMapper.updateByPrimaryKeySelective(tabTableSetting);
        }
    }

    @Override
    public Page<TabTableSetting> pageTableSetting(String search) {
        Page<TabTableSetting> page = tabTableSettingMapper.pageTableSetting(search);
        return page;
    }

    @Override
    public TabTableSetting getTableSetting(Integer tableId) {
        return tabTableSettingMapper.selectByPrimaryKey(tableId);
    }

    @Override
    public void delTabSetting(Integer tableId) {
        TabTableSetting tabTableSetting = new TabTableSetting();
        tabTableSetting.setTableId(tableId);
        tabTableSetting.setDeleteFlag(1);
        tabTableSettingMapper.updateByPrimaryKeySelective(tabTableSetting);
    }
}
